org.eclipse.jetty.security.jaspi

## Class SimpleAuthConfig

- java.lang.Object
- - org.eclipse.jetty.security.jaspi.SimpleAuthConfig

- All Implemented Interfaces:
    javax.security.auth.message.config.AuthConfig, javax.security.auth.message.config.ServerAuthConfig

      public class SimpleAuthConfig
      extends java.lang.Object
      implements javax.security.auth.message.config.ServerAuthConfig

  Version:
    $Rev: 4660 $ $Date: 2009-02-25 17:29:53 +0100 (Wed, 25 Feb 2009) $

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `HTTP_SERVLET`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleAuthConfig(java.lang.String appContext, javax.security.auth.message.config.ServerAuthContext serverAuthContext)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAppContext()`
    `javax.security.auth.message.config.ServerAuthContext` | `getAuthContext(java.lang.String authContextID, javax.security.auth.Subject serviceSubject, java.util.Map properties)`
    `java.lang.String` | `getAuthContextID(javax.security.auth.message.MessageInfo messageInfo)`
    `java.lang.String` | `getMessageLayer()`
    `boolean` | `isProtected()`
    `void` | `refresh()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HTTP_SERVLET

          public static final java.lang.String HTTP_SERVLET

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SimpleAuthConfig

          public SimpleAuthConfig(java.lang.String appContext,
                          javax.security.auth.message.config.ServerAuthContext serverAuthContext)

  - ### Method Detail

    - #### getAuthContext

          public javax.security.auth.message.config.ServerAuthContext getAuthContext(java.lang.String authContextID,
                                                                            javax.security.auth.Subject serviceSubject,
                                                                            java.util.Map properties)
                                                                              throws javax.security.auth.message.AuthException

      Specified by:
        `getAuthContext` in interface `javax.security.auth.message.config.ServerAuthConfig`
      Throws:
        `javax.security.auth.message.AuthException`

    - #### getAppContext

          public java.lang.String getAppContext()

      Specified by:
        `getAppContext` in interface `javax.security.auth.message.config.AuthConfig`

    - #### getAuthContextID

          public java.lang.String getAuthContextID(javax.security.auth.message.MessageInfo messageInfo)
                                            throws java.lang.IllegalArgumentException

      Specified by:
        `getAuthContextID` in interface `javax.security.auth.message.config.AuthConfig`
      Throws:
        `java.lang.IllegalArgumentException`

    - #### getMessageLayer

          public java.lang.String getMessageLayer()

      Specified by:
        `getMessageLayer` in interface `javax.security.auth.message.config.AuthConfig`

    - #### isProtected

          public boolean isProtected()

      Specified by:
        `isProtected` in interface `javax.security.auth.message.config.AuthConfig`

    - #### refresh

          public void refresh()

      Specified by:
        `refresh` in interface `javax.security.auth.message.config.AuthConfig`

Copyright © 2013 FuseSource, Corp.. All Rights Reserved.